From: [email-masked]
Date: Tue, 22 Mar 94 01:28:02 CST

Dear friends,
    My six-years-old son is still in China. The application for his PR has been
approved (form I-130) by INS, and the approval has been sent to US consulate
  in Guangzhou. My priority date is July 1, 1993. What I anxiously want to know
 is, under such circomstance, if there is any way for my son to come to the Sta
tes sooner and what I can do to make that happen. I wonder if any one has simil
ar situation.
    Any informations or suggestions will be greatly appreciated.
                                                            Liu